VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::Source Interface Reference

The `Source` interface provides methods to manage the sources of metamodel metadata information. More...

Inherited by vmware::vapi::metadata::metamodel::SourceStub.

List of all members.

## Public Member Functions
void | Create (string sourceId, vmware.vapi.metadata.metamodel.SourceTypes.CreateSpec spec)
| Creates a new metadata source.
void | Create (string sourceId, vmware.vapi.metadata.metamodel.SourceTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a new metadata source.
global::System.Threading.Tasks.Task | CreateAsync (string sourceId, vmware.vapi.metadata.metamodel.SourceTypes.CreateSpec spec)
| Creates a new metadata source.
global::System.Threading.Tasks.Task | CreateAsync (string sourceId, vmware.vapi.metadata.metamodel.SourceTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a new metadata source.
void | Delete (string sourceId)
| Deletes an existing metamodel metadata source from the infrastructure.
void | Delete (string sourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes an existing metamodel metadata source from the infrastructure.
global::System.Threading.Tasks.Task | DeleteAsync (string sourceId)
| Deletes an existing metamodel metadata source from the infrastructure.
global::System.Threading.Tasks.Task | DeleteAsync (string sourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes an existing metamodel metadata source from the infrastructure.
vmware.vapi.metadata.metamodel.SourceTypes.Info | Get (string sourceId)
| Retrieves information about the metadata source corresponding to sourceId .
vmware.vapi.metadata.metamodel.SourceTypes.Info | Get (string sourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the metadata source corresponding to sourceId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.metamodel.SourceTypes.Info > | GetAsync (string sourceId)
| Retrieves information about the metadata source corresponding to sourceId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.metamodel.SourceTypes.Info > | GetAsync (string sourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the metadata source corresponding to sourceId .
global::System.Collections.Generic.List < string > | List ()
| Returns the identifiers of the metadata sources currently registered with the infrastructure.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers of the metadata sources currently registered with the infrastructure.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Returns the identifiers of the metadata sources currently registered with the infrastructure.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers of the metadata sources currently registered with the infrastructure.
void | Reload (string sourceId)
| Reloads the metamodel metadata from all the metadata sources or of a particular metadata source if sourceId is specified.
void | Reload (string sourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Reloads the metamodel metadata from all the metadata sources or of a particular metadata source if sourceId is specified.
global::System.Threading.Tasks.Task | ReloadAsync (string sourceId)
| Reloads the metamodel metadata from all the metadata sources or of a particular metadata source if sourceId is specified.
global::System.Threading.Tasks.Task | ReloadAsync (string sourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Reloads the metamodel metadata from all the metadata sources or of a particular metadata source if sourceId is specified.
string | Fingerprint (string sourceId)
| Returns the aggregate fingerprint of metadata from all the metadata sources or from a particular metadata source if sourceId is specified.
string | Fingerprint (string sourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the aggregate fingerprint of metadata from all the metadata sources or from a particular metadata source if sourceId is specified.
global::System.Threading.Tasks.Task < string > | FingerprintAsync (string sourceId)
| Returns the aggregate fingerprint of metadata from all the metadata sources or from a particular metadata source if sourceId is specified.
global::System.Threading.Tasks.Task < string > | FingerprintAsync (string sourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the aggregate fingerprint of metadata from all the metadata sources or from a particular metadata source if sourceId is specified.

## Detailed Description

The `Source` interface provides methods to manage the sources of metamodel metadata information.

The interface definition language infrastructure provides tools to generate various kinds of metadata in JSON format from the interface definition files and additional properties files. One of the generated files contains metamodel information. The generated file can be registered as a source of metadata.

The metamodel file contains all the data present in the interface definition files. Each metamodel file contains data about one component element. When a metamodel file is added as a source, each source contributes only one component element's metadata.

Metamodel metadata can also be discovered from a remote server that supports the metamodel metadata interfaces (see vmware.vapi.metadata.metamodel ). Since multiple components can be registered with a single metadata server, when a remote server is registered as a source, that source can contribute more than one component.

## Member Function Documentation

void vmware::vapi::metadata::metamodel::Source::Create | ( | string | sourceId,
|  | vmware.vapi.metadata.metamodel.SourceTypes.CreateSpec | spec
| ) |  |

Creates a new metadata source.

Once the server validates the registration information of the metadata source, the metamodel metadata is retrieved from the source. This populates elements in all the interfaces defined in vmware.vapi.metadata.metamodel namespace.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the metadata source identifier is already registered with the infrastructure.
  vmware.vapi.std.errors.InvalidArgument | if the type of the source specified in null is invalid.
  vmware.vapi.std.errors.InvalidArgument | if the file specified in null is not a valid JSON file or if the format of the metamodel metadata in the JSON file is invalid.
  vmware.vapi.std.errors.InvalidArgument | if the URI specified in null is unreachable or if there is a transport protocol or message protocol mismatch between the client and the server or if the remote server do not have interfaces present in vmware.vapi.metadata.metamodel namespace.
  vmware.vapi.std.errors.NotFound | if the file specified in null does not exist.

Parameters:

  sourceId | metadata source identifier. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` .
  spec | create specification.

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

void vmware::vapi::metadata::metamodel::Source::Create | ( | string | sourceId,
|  | vmware.vapi.metadata.metamodel.SourceTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Creates a new metadata source.

Once the server validates the registration information of the metadata source, the metamodel metadata is retrieved from the source. This populates elements in all the interfaces defined in vmware.vapi.metadata.metamodel namespace.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the metadata source identifier is already registered with the infrastructure.
  vmware.vapi.std.errors.InvalidArgument | if the type of the source specified in null is invalid.
  vmware.vapi.std.errors.InvalidArgument | if the file specified in null is not a valid JSON file or if the format of the metamodel metadata in the JSON file is invalid.
  vmware.vapi.std.errors.InvalidArgument | if the URI specified in null is unreachable or if there is a transport protocol or message protocol mismatch between the client and the server or if the remote server do not have interfaces present in vmware.vapi.metadata.metamodel namespace.
  vmware.vapi.std.errors.NotFound | if the file specified in null does not exist.

Parameters:

  sourceId | metadata source identifier. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` .
  spec | create specification.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

global::System.Threading.Tasks.Task vmware::vapi::metadata::metamodel::Source::CreateAsync | ( | string | sourceId,
|  | vmware.vapi.metadata.metamodel.SourceTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Creates a new metadata source.

Once the server validates the registration information of the metadata source, the metamodel metadata is retrieved from the source. This populates elements in all the interfaces defined in vmware.vapi.metadata.metamodel namespace.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the metadata source identifier is already registered with the infrastructure.
  vmware.vapi.std.errors.InvalidArgument | if the type of the source specified in null is invalid.
  vmware.vapi.std.errors.InvalidArgument | if the file specified in null is not a valid JSON file or if the format of the metamodel metadata in the JSON file is invalid.
  vmware.vapi.std.errors.InvalidArgument | if the URI specified in null is unreachable or if there is a transport protocol or message protocol mismatch between the client and the server or if the remote server do not have interfaces present in vmware.vapi.metadata.metamodel namespace.
  vmware.vapi.std.errors.NotFound | if the file specified in null does not exist.

Parameters:

  sourceId | metadata source identifier. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` .
  spec | create specification.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

global::System.Threading.Tasks.Task vmware::vapi::metadata::metamodel::Source::CreateAsync | ( | string | sourceId,
|  | vmware.vapi.metadata.metamodel.SourceTypes.CreateSpec | spec
| ) |  |

Creates a new metadata source.

Once the server validates the registration information of the metadata source, the metamodel metadata is retrieved from the source. This populates elements in all the interfaces defined in vmware.vapi.metadata.metamodel namespace.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the metadata source identifier is already registered with the infrastructure.
  vmware.vapi.std.errors.InvalidArgument | if the type of the source specified in null is invalid.
  vmware.vapi.std.errors.InvalidArgument | if the file specified in null is not a valid JSON file or if the format of the metamodel metadata in the JSON file is invalid.
  vmware.vapi.std.errors.InvalidArgument | if the URI specified in null is unreachable or if there is a transport protocol or message protocol mismatch between the client and the server or if the remote server do not have interfaces present in vmware.vapi.metadata.metamodel namespace.
  vmware.vapi.std.errors.NotFound | if the file specified in null does not exist.

Parameters:

  sourceId | metadata source identifier. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` .
  spec | create specification.

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

void vmware::vapi::metadata::metamodel::Source::Delete | ( | string | sourceId | ) |

Deletes an existing metamodel metadata source from the infrastructure.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the metadata source associated with sourceId is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` .

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

void vmware::vapi::metadata::metamodel::Source::Delete | ( | string | sourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Deletes an existing metamodel metadata source from the infrastructure.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the metadata source associated with sourceId is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

global::System.Threading.Tasks.Task vmware::vapi::metadata::metamodel::Source::DeleteAsync | ( | string | sourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Deletes an existing metamodel metadata source from the infrastructure.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the metadata source associated with sourceId is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

global::System.Threading.Tasks.Task vmware::vapi::metadata::metamodel::Source::DeleteAsync | ( | string | sourceId | ) |

Deletes an existing metamodel metadata source from the infrastructure.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the metadata source associated with sourceId is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` .

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

string vmware::vapi::metadata::metamodel::Source::Fingerprint | ( | string | sourceId | ) |

Returns the aggregate fingerprint of metadata from all the metadata sources or from a particular metadata source if sourceId is specified.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the metadata source associated with sourceId is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` . If unspecified, the fingerprint of all the metadata sources is returned.

Returns:
  Aggregate fingerprint of all the metadata sources or of a particular metadata source.

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

string vmware::vapi::metadata::metamodel::Source::Fingerprint | ( | string | sourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the aggregate fingerprint of metadata from all the metadata sources or from a particular metadata source if sourceId is specified.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the metadata source associated with sourceId is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` . If unspecified, the fingerprint of all the metadata sources is returned.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Aggregate fingerprint of all the metadata sources or of a particular metadata source.

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

global::System.Threading.Tasks.Task<string> vmware::vapi::metadata::metamodel::Source::FingerprintAsync | ( | string | sourceId | ) |

Returns the aggregate fingerprint of metadata from all the metadata sources or from a particular metadata source if sourceId is specified.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the metadata source associated with sourceId is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` . If unspecified, the fingerprint of all the metadata sources is returned.

Returns:
  Aggregate fingerprint of all the metadata sources or of a particular metadata source.

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

global::System.Threading.Tasks.Task<string> vmware::vapi::metadata::metamodel::Source::FingerprintAsync | ( | string | sourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the aggregate fingerprint of metadata from all the metadata sources or from a particular metadata source if sourceId is specified.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the metadata source associated with sourceId is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` . If unspecified, the fingerprint of all the metadata sources is returned.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Aggregate fingerprint of all the metadata sources or of a particular metadata source.

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

vmware.vapi.metadata.metamodel.SourceTypes.Info vmware::vapi::metadata::metamodel::Source::Get | ( | string | sourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves information about the metadata source corresponding to sourceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the metadata source associated with sourceId is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The Source.Info instance that corresponds to sourceId

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

vmware.vapi.metadata.metamodel.SourceTypes.Info vmware::vapi::metadata::metamodel::Source::Get | ( | string | sourceId | ) |

Retrieves information about the metadata source corresponding to sourceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the metadata source associated with sourceId is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` .

Returns:
  The Source.Info instance that corresponds to sourceId

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.metamodel.SourceTypes.Info> vmware::vapi::metadata::metamodel::Source::GetAsync | ( | string | sourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves information about the metadata source corresponding to sourceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the metadata source associated with sourceId is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The Source.Info instance that corresponds to sourceId

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.metamodel.SourceTypes.Info> vmware::vapi::metadata::metamodel::Source::GetAsync | ( | string | sourceId | ) |

Retrieves information about the metadata source corresponding to sourceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the metadata source associated with sourceId is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` .

Returns:
  The Source.Info instance that corresponds to sourceId

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::Source::List | ( |  | ) |

Returns the identifiers of the metadata sources currently registered with the infrastructure.

Returns:
  The list of identifiers for metadata sources currently registered. The result will contain identifiers for the resource type: `com.vmware.vapi.metadata.metamodel.source` .

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::Source::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers of the metadata sources currently registered with the infrastructure.

Returns:
  The list of identifiers for metadata sources currently registered. The result will contain identifiers for the resource type: `com.vmware.vapi.metadata.metamodel.source` .

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::metamodel::Source::ListAsync | ( |  | ) |

Returns the identifiers of the metadata sources currently registered with the infrastructure.

Returns:
  The list of identifiers for metadata sources currently registered. The result will contain identifiers for the resource type: `com.vmware.vapi.metadata.metamodel.source` .

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::metamodel::Source::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers of the metadata sources currently registered with the infrastructure.

Returns:
  The list of identifiers for metadata sources currently registered. The result will contain identifiers for the resource type: `com.vmware.vapi.metadata.metamodel.source` .

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

void vmware::vapi::metadata::metamodel::Source::Reload | ( | string | sourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Reloads the metamodel metadata from all the metadata sources or of a particular metadata source if sourceId is specified.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the metadata source associated with sourceId is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` . If unspecified, all the metadata sources are reloaded.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

void vmware::vapi::metadata::metamodel::Source::Reload | ( | string | sourceId | ) |

Reloads the metamodel metadata from all the metadata sources or of a particular metadata source if sourceId is specified.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the metadata source associated with sourceId is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` . If unspecified, all the metadata sources are reloaded.

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

global::System.Threading.Tasks.Task vmware::vapi::metadata::metamodel::Source::ReloadAsync | ( | string | sourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Reloads the metamodel metadata from all the metadata sources or of a particular metadata source if sourceId is specified.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the metadata source associated with sourceId is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` . If unspecified, all the metadata sources are reloaded.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

global::System.Threading.Tasks.Task vmware::vapi::metadata::metamodel::Source::ReloadAsync | ( | string | sourceId | ) |

Reloads the metamodel metadata from all the metadata sources or of a particular metadata source if sourceId is specified.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the metadata source associated with sourceId is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.metamodel.source` . If unspecified, all the metadata sources are reloaded.

Implemented in vmware::vapi::metadata::metamodel::SourceStub.

The documentation for this interface was generated from the following file:

- metamodel/Source.cs